<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FibRgLw97 (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FibRgLw97 (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FibRgLw97.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
               title="interface in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FibRgW97.html" title="class in org.apache.poi.hwpf.model"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FibRgLw97.html" target="_top">Frames</a></li>
        <li><a href="FibRgLw97.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgLw97AbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class FibRgLw97" class="title">Class FibRgLw97</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html"
                       title="class in org.apache.poi.hwpf.model.types">org.apache.poi.hwpf.model.types.FibRgLw97AbstractType</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.FibRgLw97</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
                           title="interface in org.apache.poi.hwpf.model">FibRgLw</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">FibRgLw97</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html"
           title="class in org.apache.poi.hwpf.model.types">FibRgLw97AbstractType</a>
implements <a href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
              title="interface in org.apache.poi.hwpf.model">FibRgLw</a></pre>
                <div class="block">The FibRgLw97 structure is the third section of the FIB. This contains an
                    array of 4-byte values.
                    <p>
                        Class and fields descriptions are quoted from Microsoft Office Word 97-2007
                        Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary
                        File Format Specification [*.doc] and [MS-DOC] - v20110608 Word
                        (.doc) Binary File Format
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgLw97AbstractType">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FibRgLw97AbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_1_cbMac">field_1_cbMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_10_ccpTxbx">field_10_ccpTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_11_ccpHdrTxbx">field_11_ccpHdrTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_12_reserved4">field_12_reserved4</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_13_reserved5">field_13_reserved5</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_14_reserved6">field_14_reserved6</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_15_reserved7">field_15_reserved7</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_16_reserved8">field_16_reserved8</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_17_reserved9">field_17_reserved9</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_18_reserved10">field_18_reserved10</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_19_reserved11">field_19_reserved11</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_2_reserved1">field_2_reserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_20_reserved12">field_20_reserved12</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_21_reserved13">field_21_reserved13</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_22_reserved14">field_22_reserved14</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_3_reserved2">field_3_reserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_4_ccpText">field_4_ccpText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_5_ccpFtn">field_5_ccpFtn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_6_ccpHdd">field_6_ccpHdd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_7_reserved3">field_7_reserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_8_ccpAtn">field_8_ccpAtn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#field_9_ccpEdn">field_9_ccpEdn</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgLw97.html#FibRgLw97--">FibRgLw97</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgLw97.html#FibRgLw97-byte:A-int-">FibRgLw97</a></span>(byte[]&nbsp;std,
                                    int&nbsp;offset)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgLw97.html#getSubdocumentTextStreamLength-org.apache.poi.hwpf.model.SubdocumentType-">getSubdocumentTextStreamLength</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/model/SubdocumentType.html"
                                        title="enum in org.apache.poi.hwpf.model">SubdocumentType</a>&nbsp;subdocumentType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgLw97.html#setSubdocumentTextStreamLength-org.apache.poi.hwpf.model.SubdocumentType-int-">setSubdocumentTextStreamLength</a></span>(<a
                                        href="../../../../../org/apache/poi/hwpf/model/SubdocumentType.html"
                                        title="enum in org.apache.poi.hwpf.model">SubdocumentType</a>&nbsp;subdocumentType,
                                    int&nbsp;newLength)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgLw97AbstractType">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.types.<a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html"
                                        title="class in org.apache.poi.hwpf.model.types">FibRgLw97AbstractType</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#fillFields-byte:A-int-">fillFields</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCbMac--">getCbMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCcpAtn--">getCcpAtn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCcpEdn--">getCcpEdn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCcpFtn--">getCcpFtn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCcpHdd--">getCcpHdd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCcpHdrTxbx--">getCcpHdrTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCcpText--">getCcpText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getCcpTxbx--">getCcpTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved1--">getReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved10--">getReserved10</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved11--">getReserved11</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved12--">getReserved12</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved13--">getReserved13</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved14--">getReserved14</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved2--">getReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved3--">getReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved4--">getReserved4</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved5--">getReserved5</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved6--">getReserved6</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved7--">getReserved7</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved8--">getReserved8</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getReserved9--">getReserved9</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#serialize--">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#serialize-byte:A-int-">serialize</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCbMac-int-">setCbMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCcpAtn-int-">setCcpAtn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCcpEdn-int-">setCcpEdn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCcpFtn-int-">setCcpFtn</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCcpHdd-int-">setCcpHdd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCcpHdrTxbx-int-">setCcpHdrTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCcpText-int-">setCcpText</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setCcpTxbx-int-">setCcpTxbx</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved1-int-">setReserved1</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved10-int-">setReserved10</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved11-int-">setReserved11</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved12-int-">setReserved12</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved13-int-">setReserved13</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved14-int-">setReserved14</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved2-int-">setReserved2</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved3-int-">setReserved3</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved4-int-">setReserved4</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved5-int-">setReserved5</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved6-int-">setReserved6</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved7-int-">setReserved7</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved8-int-">setReserved8</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#setReserved9-int-">setReserved9</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.FibRgLw">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
                                        title="interface in org.apache.poi.hwpf.model">FibRgLw</a></h3>
                                <code><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html#getCbMac--">getCbMac</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html#setCbMac-int-">setCbMac</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FibRgLw97--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FibRgLw97</h4>
                                <pre>public&nbsp;FibRgLw97()</pre>
                            </li>
                        </ul>
                        <a name="FibRgLw97-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FibRgLw97</h4>
                                <pre>public&nbsp;FibRgLw97(byte[]&nbsp;std,
                 int&nbsp;offset)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSubdocumentTextStreamLength-org.apache.poi.hwpf.model.SubdocumentType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSubdocumentTextStreamLength</h4>
                                <pre>public&nbsp;int&nbsp;getSubdocumentTextStreamLength(<a
                                        href="../../../../../org/apache/poi/hwpf/model/SubdocumentType.html"
                                        title="enum in org.apache.poi.hwpf.model">SubdocumentType</a>&nbsp;subdocumentType)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html#getSubdocumentTextStreamLength-org.apache.poi.hwpf.model.SubdocumentType-">getSubdocumentTextStreamLength</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
                                                title="interface in org.apache.poi.hwpf.model">FibRgLw</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSubdocumentTextStreamLength-org.apache.poi.hwpf.model.SubdocumentType-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setSubdocumentTextStreamLength</h4>
                                <pre>public&nbsp;void&nbsp;setSubdocumentTextStreamLength(<a
                                        href="../../../../../org/apache/poi/hwpf/model/SubdocumentType.html"
                                        title="enum in org.apache.poi.hwpf.model">SubdocumentType</a>&nbsp;subdocumentType,
                                           int&nbsp;newLength)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html#setSubdocumentTextStreamLength-org.apache.poi.hwpf.model.SubdocumentType-int-">setSubdocumentTextStreamLength</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
                                                title="interface in org.apache.poi.hwpf.model">FibRgLw</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FibRgLw97.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/FibRgLw.html"
               title="interface in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/FibRgW97.html" title="class in org.apache.poi.hwpf.model"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/FibRgLw97.html" target="_top">Frames</a></li>
        <li><a href="FibRgLw97.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.types.FibRgLw97AbstractType">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
